#!/bin/bash

source Settings.cfg
./Settings2.sh
levelarea=-255
levelline=-255
levelnum=0 #signal level
levelnumprea=0 #old signal level 1
levelnumpreb=0 #old signal level 2
rm $LOGLOCA/Kismet/* 2> /dev/null
rm $KISMETLOG 2> /dev/null
trap "killall nc 2> /dev/null; killall kismet 2> /dev/null; killall kismet_server 2> /dev/null; service networking start" EXIT
killall nc 2> /dev/null
killall kismet_server 2> /dev/null
killall kismet 2> /dev/null

if [ ! -e $LOGLOCA ] #make the log directories and files if they don't exist
then
mkdir $LOGLOCA
fi

if [ ! -e $KISMETLOGLOCA ]
then
mkdir $KISMETLOGLOCA
fi

if [ ! -e $SIGNALLOG ]
then
touch $SIGNALLOG
fi

if [ ! -e $KISMETLASTLOG ]
then
touch $KISMETLASTLOG
fi

date >> $SIGNALLOG

gnome-terminal -x kismet --log-prefix $KISMETLOGLOCA --capture-source $KISMETSOURCE > /dev/null & #run Kismet in a seperate window with the source and log file listed in Settings.cfg

sleep 10s #wait for Kismet to load

while true
do
  levelnum=-255
  if [ -e $KISMETLOG ]
  then
    rm $KISMETLOG
  fi

  sync
  sync
  sync
  sync
  sync
  sync
  sync
  sync
  sync
  sync
  if [ -e $KISMETLOG ]
  then
    levelarea="`cat $KISMETLOG | grep --regexp="$ESSID" --after-context=32 --max-count=1`"
    echo "levelarea ="
    
    echo "$levelarea"

    echo $levelarea > $KISMETLASTLOG

    levelline="`echo "$levelarea" | grep -E --only-matching --regexp="<last_signal_dbm>-?[0-9]+" -`"

    echo "levelline = $levelline"

    levelnum="`echo "$levelline" | grep -E --only-matching --regexp="-?[0-9]+" -`"

    echo "levelnum = $levelnum"

    echo "Signal Strength = $levelnum"
    echo "Signal Strength = $levelnum" >> $SIGNALLOG
    echo "$levelnum" | sudo netcat -l  $Port
    levelnumpreb=$levelnumprea
    levelnumprea=$levelnum

  fi

done
